/*-------------------------------------------------------
Theme Name: Sani Studio - Photography Business HTML Loading Page Template
Theme URL: https://sani-studio.netlify.app/
Tag : photography, loadingpage, design,  editable, business, multipurpose, unique, email, location, photos, price, skills, clean, company, marketing, professional, responsive.
Description: This is a main css file, you can edit all codes which you need to change.
Author: Aurgon
Author URL: https://aurgon.netlify.app/
Template: Loading Page Template
Created: June 2022
Version: 1.0.0

-----------------        CSS HERE        ------------------*/

/*****************************************
Table Of Contents:

01. General
02. Loader
03. Preloader
04. First button
05. Second button
06. Third button
07. Section - Title
08. btn-footer
09. Back To Top Button
10. Image Hover Animation

******************************************/



/************************
/*    01. General.     /*
*************************/

body {
    font-size: 15pt;
    height: 100px;
}

.responsive {
  width: 100%;
  height: auto;
}

/***********************
/*     02. Loader.    /*
************************/
 
   .example {
      position: fixed;
    	z-index: 999999;
	    top: 0;
	    right: 0;
	    bottom: 0;
	    left: 0;
	    background-color: #fff;/* Change color of backgroud color of loading page*/
}
   
   .sk-chase {
	    position: absolute;
	    top: 50%; /* centers the loading animation vertically on the screen */
	    left: 52%; /* centers the loading animation horizontally on the screen */
	    width: 3.75rem;
	    height: 1.25rem;
 	    margin: -0.625rem 0 0 -1.875rem; /* is width and height divided by two */ 
	    text-align: center;
}

 
/* Config */
:root {
  --sk-size: 45px; /* Change size of loading circle */
  --sk-color: #2E2F31; /* Change color of loading circle */
}


/* Utility class for centering */
.sk-center { margin: auto; }

/*  Chase

      <div class="sk-chase">
        <div class="sk-chase-dot"></div>
        <div class="sk-chase-dot"></div>
        <div class="sk-chase-dot"></div>
        <div class="sk-chase-dot"></div>
        <div class="sk-chase-dot"></div>
        <div class="sk-chase-dot"></div>
      </div>
 */
.sk-chase {
  width: var(--sk-size);
  height: var(--sk-size);
  position: relative;
  animation: sk-chase 2.5s infinite linear both; 
}

.sk-chase-dot {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0; 
  animation: sk-chase-dot 2.0s infinite ease-in-out both; 
}

.sk-chase-dot:before {
  content: '';
  display: block;
  width: 25%;
  height: 25%;
  background-color: var(--sk-color);
  border-radius: 100%;
  animation: sk-chase-dot-before 2.0s infinite ease-in-out both; 
}

.sk-chase-dot:nth-child(1) { animation-delay: -1.1s; }
.sk-chase-dot:nth-child(2) { animation-delay: -1.0s; }
.sk-chase-dot:nth-child(3) { animation-delay: -0.9s; }
.sk-chase-dot:nth-child(4) { animation-delay: -0.8s; }
.sk-chase-dot:nth-child(5) { animation-delay: -0.7s; }
.sk-chase-dot:nth-child(6) { animation-delay: -0.6s; }
.sk-chase-dot:nth-child(1):before { animation-delay: -1.1s; }
.sk-chase-dot:nth-child(2):before { animation-delay: -1.0s; }
.sk-chase-dot:nth-child(3):before { animation-delay: -0.9s; }
.sk-chase-dot:nth-child(4):before { animation-delay: -0.8s; }
.sk-chase-dot:nth-child(5):before { animation-delay: -0.7s; }
.sk-chase-dot:nth-child(6):before { animation-delay: -0.6s; }

@keyframes sk-chase {
  100% { transform: rotate(360deg); } 
}

@keyframes sk-chase-dot {
  80%, 100% { transform: rotate(360deg); } 
}

@keyframes sk-chase-dot-before {
  50% {
    transform: scale(0.4); 
  } 100%, 0% {
    transform: scale(1.0); 
  } 
}



/*************************/
/*     03. Preloader.    */
/*************************/
.spinner-wrapper {
	position: fixed;
	z-index: 999999;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: #D500CA;
}

.spinner {
	position: absolute;
	top: 50%; /* centers the loading animation vertically one the screen */
	left: 50%; /* centers the loading animation horizontally one the screen */
	width: 3.75rem;
	height: 1.25rem;
	margin: -0.625rem 0 0 -1.875rem; /* is width and height divided by two */ 
	text-align: center;
}


/* Add animation to "page content" */
.animate-bottom {
  position: relative;
  -webkit-animation-name: animatebottom;
  -webkit-animation-duration: 1s;
  animation-name: animatebottom;
  animation-duration: 1s;
}

@-webkit-keyframes animatebottom {
  from { bottom:-100px; opacity:0 } 
  to { bottom:0px; opacity:1 }
}/*change bottom to left, top, right*/

@keyframes animatebottom { 
  from{ bottom:-100px; opacity:0 } 
  to{ bottom:0px; opacity:1 }
}/*change bottom to left, top, right*/

#myDiv {
  display: none;
  text-align: center;
}
 

/**************************/
/*    04. First button.   */
/**************************/
.btn-solid-lg {

	display: inline-block;

	padding: 1.375rem 2.125rem 1.375rem 2.125rem;
	border: 0.125rem solid #000000;
	border-radius: 0.35rem;
	background-color: #111111;
	color: #fff;
	font: 900 0.95rem/0 "Montserrat", sans-serif;
	text-decoration: none;
	transition: all 0.6s;
}

.btn-solid-lg:hover {
	background-color: #ffffff;
	color: #000000;
	text-decoration: none;
}

/**************************/
/*   05. Second button.   */
/**************************/

.btn-solid-lg-2 {

	display: inline-block;

	padding: 1.375rem 2.125rem 1.375rem 2.125rem;
	border: 0.125rem solid #fff;
	border-radius: 0.25rem;
	background-color: #C5C6C7;
	color: #000000;
	font: 900 0.95rem/0 "Montserrat", sans-serif;
	text-decoration: none;
	transition: all 0.4s;
}

.btn-solid-lg-2:hover {
	background-color: #3F3F3F;
	color: #fff;
	text-decoration: none;
}

/**************************/
/*    06. Third button.   */
/**************************/

.btn-solid-lg-3 {
  width: 120px;
  height: 40px;
	display: inline-block;
  padding: 1.375rem 2.125rem 1.375rem 2.125rem;
	border: 0.125rem solid #000;
	border-radius: 0.25rem;
	background-color: #fff;
	color: #000;
	font: 1000 0.95rem/0 "Montserrat", sans-serif;
	text-decoration: none;
	transition: all 0.4s;
}

.btn-solid-lg-3:hover {
	background-color: #616161;
	color: #fff;
	text-decoration: none;
}


/**************************/
/*  07. Section - Title.  */
/**************************/

#header h1 span {
  color: none;
  border-bottom: 2px solid #666666;
  padding-bottom: 6px;
}

#name p span {
  color: none;
  border-bottom: 1px solid #888888;
  padding-bottom: 2px;
}

#foot a span {
  color: none;
  border-bottom: 1px solid #919191;
  padding-bottom: 2px;
}


.section-title h3 {
  font-size: 20px;
  font-weight: 500;
  padding: 0;
  line-height: 1px;
  margin: 0 0 20px 0;
  letter-spacing: 2px;
  text-transform: uppercase;
  color: #666666;
  font-family: "Poppins", sans-serif;
}

.section-title h3::after {
  content: "";
  width: 150px;
  height: 1px;
  display: inline-block;
  background: #aaaaaa;
  margin: 4px 10px;
}

/**************************/
/*     08. btn-footer.    */
/**************************/


.btn-footer {

	display: inline-block;

	/*padding: 1.375rem 2.125rem 1.375rem 2.125rem;*/
	/*border: 0.125rem solid #fff;
	border-radius: 50px;
	background-color: #DEDEDE;*/
	color: #919191;
	font: 800 1.30rem/0 "Montserrat", sans-serif;
	text-decoration: none;
	transition: all 0.5s;
}

.btn-footer:hover {
	/*background-color: #3F3F3F;*/
	color: #000;
	text-decoration: none;
}

/***************************/
/* 09. Back To Top Button. */
/***************************/

#myBtn {
  display: none; /* Hidden by default */
  position: fixed; /* Fixed/sticky position */
  bottom: 40px; /* Place the button at the bottom of the page */
  right: 30px; /* Place the button 30px from the right */
  z-index: 999; /* Make sure it does not overlap */
  width: 2.625rem;
  height: 2.625rem;
  border: none; /* Remove borders */
  outline: none; /* Remove outline */
  background: #6E6E6E url("../img/up-arrow.png") no-repeat center 47%; /* Set a background color */
  background-size: 1.125rem 1.125rem;
  color: #000; /* Text color */
  cursor: pointer; /* Add a mouse pointer on hover */
  padding: 15px; /* Some padding */
  border-radius: 1.875rem; /* Rounded corners */
  font-size: 15px; /* Increase font size */
  transition: all 0.8s;
  text-indent: -9999px;
  opacity: 90%;
  border: 0.125rem solid #CCCCCC;
}

#myBtn:hover {
  color: #fff;
  background-color: #212121; /* Add a color background on hover */
  opacity: 100%;
  border: 0.125rem solid #7E7E7E;
  
}

/******************************/
/* 10. Image Hover Animation. */
/******************************/


.container {
  position: relative;
  width: 100%;
}

.image {
  display: block;
  width: 100%;
  /*height: auto;*/
}

.overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
 /* height: auto;*/
  width: 100%;
  opacity: 0;
  transition: .5s ease;
}


.container:hover .overlay {
  opacity: 1;
}


.text {
  background-color: rgba(46, 47, 49, .5);
  text-align: center;
  color: white;
  font-size: 25px;
  position: absolute;
  top: 50%;
  left: 50%;
  height: auto;
  width: auto;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
}
